Index: src/mainboard/emulation/qemu-x86/Config.lb
===================================================================
--- src/mainboard/emulation/qemu-x86/Config.lb	(revision 4340)
+++ src/mainboard/emulation/qemu-x86/Config.lb	(working copy)
@@ -3,14 +3,14 @@
 ## (coreboot plus bootloader) will live in the boot rom chip.
 ##
 default ROM_SIZE = 256 * 1024 
-default ROM_SECTION_SIZE   = ROM_SIZE
+default ROM_SECTION_SIZE   = ROM_IMAGE_SIZE
 default ROM_SECTION_OFFSET = 0
 
 ##
 ## Compute the start location and size size of
 ## The coreboot bootloader.
 ##
-default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
+default PAYLOAD_SIZE            = ( ROM_SIZE - ROM_IMAGE_SIZE )
 default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
Index: src/mainboard/emulation/qemu-x86/Options.lb
===================================================================
--- src/mainboard/emulation/qemu-x86/Options.lb	(revision 4340)
+++ src/mainboard/emulation/qemu-x86/Options.lb	(working copy)
@@ -100,7 +100,7 @@
 
 ## ROM_IMAGE_SIZE is the amount of space to allow coreboot to occupy.
 default ROM_IMAGE_SIZE = 65536
-default FALLBACK_SIZE = 131072
+default FALLBACK_SIZE = ROM_IMAGE_SIZE
 
 ##
 ## Use a small 8K stack
Index: targets/emulation/qemu-x86/Config-abuild.lb
===================================================================
--- targets/emulation/qemu-x86/Config-abuild.lb	(revision 4340)
+++ targets/emulation/qemu-x86/Config-abuild.lb	(working copy)
@@ -8,11 +8,8 @@
 __COMPRESSION__
 __LOGLEVEL__
 
-option ROM_SIZE=256*1024
-
 romimage "fallback" 
 	option USE_FALLBACK_IMAGE=1
-	option ROM_IMAGE_SIZE=0x10000
 	option COREBOOT_EXTRA_VERSION=".0"
 	payload __PAYLOAD__
 end
Index: targets/emulation/qemu-x86/Config.lb
===================================================================
--- targets/emulation/qemu-x86/Config.lb	(revision 4340)
+++ targets/emulation/qemu-x86/Config.lb	(working copy)
@@ -11,7 +11,6 @@
 option IRQ_SLOT_COUNT=6
 
 romimage "normal" 
-	option ROM_IMAGE_SIZE=0x10000
 	option COREBOOT_EXTRA_VERSION="-GRUB2"
 #	payload /home/stepan/core.img
 	payload ../payload.elf
Index: targets/emulation/qemu-x86/Config-lab.lb
===================================================================
--- targets/emulation/qemu-x86/Config-lab.lb	(revision 4340)
+++ targets/emulation/qemu-x86/Config-lab.lb	(working copy)
@@ -13,7 +13,6 @@
 option IRQ_SLOT_COUNT=6
 
 romimage "image" 
-	option ROM_IMAGE_SIZE=0x10000
 	option COREBOOT_EXTRA_VERSION="-LAB"
 	payload ../payload.elf.lzma
 end
Index: targets/emulation/qemu-x86/Config.OLPC.lb
===================================================================
--- targets/emulation/qemu-x86/Config.OLPC.lb	(revision 4340)
+++ targets/emulation/qemu-x86/Config.OLPC.lb	(working copy)
@@ -13,7 +13,6 @@
 option IRQ_SLOT_COUNT=6
 
 romimage "image" 
-	option ROM_IMAGE_SIZE=0x10000
 	option COREBOOT_EXTRA_VERSION="-OpenBIOS"
 	payload /tmp/olpcpayload.elf
 end
